Skip to main content
Document Operations

Show/download stored file

<small>Requires an API token with the Document Reader role.</small>

GET
/documents/{document}/file-storage/{storedFile}

Returns the details of a single file in the file storage of the given document.

The download_url field of the response contains a temporary URL that can be used to fetch the file content. The URL is pre-authenticated - i.e. it can be requested without sending any additional HTTP headers.

Note that the download_url will expire a short time after the response is returned. If the URL has expired, this endpoint can be requested again to obtain a new download_url.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

storedFilestringrequired

The stored file UUID

Response

application/json

StoredFileResource

dataobjectrequired